Package org.springframework.test.web.reactive.server

# Interface WebTestClient.RequestBodyUriSpec

All Superinterfaces:
  `WebTestClient.RequestBodySpec`, `WebTestClient.RequestHeadersSpec<WebTestClient.RequestBodySpec>`, `WebTestClient.RequestHeadersUriSpec<WebTestClient.RequestBodySpec>`, `WebTestClient.UriSpec<WebTestClient.RequestBodySpec>`

Enclosing interface:
  WebTestClient

public static interface WebTestClient.RequestBodyUriSpec extends WebTestClient.RequestBodySpec, WebTestClient.RequestHeadersUriSpec<WebTestClient.RequestBodySpec>
Specification for providing the body and the URI of a request.

## Method Summary

### Methods inherited from interface org.springframework.test.web.reactive.server.WebTestClient.RequestBodySpec

`body, body, body, body, body, bodyValue, contentLength, contentType, syncBody`

### Methods inherited from interface org.springframework.test.web.reactive.server.WebTestClient.RequestHeadersSpec

`accept, acceptCharset, attribute, attributes, cookie, cookies, exchange, header, headers, ifModifiedSince, ifNoneMatch`

### Methods inherited from interface org.springframework.test.web.reactive.server.WebTestClient.UriSpec

`uri, uri, uri, uri`